Subject: [Netconf] namespace of "operation" attribute

From: Ladislav Lhotka <[email-masked]>
Date: Thu, 19 May 2011 11:51:09 +0200

Hi,

I realize this comes way too late in the 4741bis life cycle but I think it should be clarified in Sec. 7.2 that the "operation" attribute in <edit-config> actually belongs to the NETCONF namespace:

OLD

Elements in the <config> subtree MAY contain an "operation" attribute.

NEW

Elements in the <config> subtree MAY contain an "operation" attribute,
which belongs to the NETCONF namespace defined in Section 3.1.

Lada

--
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

---

From: Kent Watsen <[email-masked]>
Date: Tue, 24 May 2011 13:46:42 -0700

Oh, but let's not forget these two 4741bisbis issues (http://www.ietf.org/mail-archive/web/netconf/current/msg06734.html)  ;)

Actually, I posted a "solution" for the second issue (http://www.ietf.org/mail-archive/web/netconf/current/msg06744.html), though it's not very nice for either clients or servers...

K.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Ladislav Lhotka
Sent: Thursday, May 19, 2011 5:51 AM
To: [email-masked]
Subject: [Netconf] namespace of "operation" attribute

Hi,

OLD

NEW

Elements in the <config> subtree MAY contain an "operation" attribute, which belongs to the NETCONF namespace defined in Section 3.1.

Lada

--
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C

---

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 25 May 2011 01:52:54 +0200

> Actually, I posted a "solution" for the second issue (http://www.ietf.org/mail-archive/web/netconf/current/msg06744.html), though it's not very nice for either clients or servers...

4741bis is in the RFC editor queue - this is not a good time to
request any substantial changes.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: Andy Bierman <[email-masked]>
Date: Tue, 24 May 2011 17:15:04 -0700

> request any substantial changes.

I strongly object to any changes to the 4741bis draft.
Leave it in the RFC editor queue.  Do not pull it back
for more WG input and more IESG review.

> /js

Andy

---

From: Kent Watsen <[email-masked]>
Date: Tue, 24 May 2011 20:06:20 -0700

I agree that it's too late for 4741bis, which is why I wrote 4741bisbis, that is, the "bis" after 4741bis.   

I only added this comment to ensure the other "missed" issues would stay fresh

Thanks,
Kent

---

From: Ladislav Lhotka <[email-masked]>
Date: Wed, 25 May 2011 08:17:58 +0200

> for more WG input and more IESG review.

It was not my intention, but the authors will get a chance to make minor fixes just before the RFC gets published, right? My proposal regarding the namespace of the "operation" attribute means no substantial change, just adding missing information to the text. Cf. the formulation for the "insert" attribute in the second paragraph of Sec. 7.7.7 of RFC 6020.

On the other hand, XSD in App. B is correct in this respect, so the omission in the text is not critical.

Lada

Lada

--
Ladislav Lhotka, CESNET
PGP Key ID: E74E8C0C